# Uses of Class
org.eclipse.osgi.container.ModuleCapability

Packages that use ModuleCapability
Package
Description
org.eclipse.osgi.container

## Uses of ModuleCapability in org.eclipse.osgi.container

Methods in org.eclipse.osgi.container that return ModuleCapability
Modifier and Type
Method
Description
`ModuleCapability`
ModuleWire.`getCapability()`
Methods in org.eclipse.osgi.container that return types with arguments of type ModuleCapability
Modifier and Type
Method
Description
`List<ModuleCapability>`
ModuleRevision.`getModuleCapabilities(String namespace)`
Returns the capabilities declared by this revision
`List<ModuleCapability>`
ModuleWiring.`getModuleCapabilities(String namespace)`
Returns the same result as `ModuleWiring.getCapabilities(String)` except uses type ModuleCapability and the returned list is unmodifiable.